Bug 459531 - Totem Fails to Play DVDs
Totem Fails to Play DVDs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-19 14:50 EDT by Brad Longo
Modified: 2009-07-14 12:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:46:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (47.29 KB, text/plain)
2008-10-18 23:04 EDT, Brad Longo
no flags Details
xorg.conf (594 bytes, text/plain)
2008-10-18 23:06 EDT, Brad Longo
no flags Details
Totem output with xine backend. (2.96 KB, text/plain)
2009-03-03 18:11 EST, Brad Longo
no flags Details

  None (edit)
Description Brad Longo 2008-08-19 14:50:51 EDT
Description of problem:
When trying to play dvds totem just closes.  

Version-Release number of selected component (if applicable):
totem-2.23.2-5.fc9.i386
VGA compatible controller: ATI Technologies Inc Rage 128 Pro Ultra TF

How reproducible:
Every time with multiple dvds.

Steps to Reproduce:
1. Open up totem.
2. Select to play dvd
3.
  
Actual results:
Totem fails

Expected results:
DVD should start playing

Additional info:
The program 'totem' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 58 error_code 11 request_code 140 minor_code 19)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 1 Bastien Nocera 2008-08-19 16:51:18 EDT
As I mentioned in bug 452926, this isn't Totem's problem. Reassigning to the ATI driver.
Comment 2 Matěj Cepl 2008-09-09 18:57:41 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Brad Longo 2008-10-18 23:03:59 EDT
i fixed this by switching the xine backend  however i will attach the requested documents
Comment 4 Brad Longo 2008-10-18 23:04:41 EDT
Created attachment 320783 [details]
Xorg.0.log
Comment 5 Brad Longo 2008-10-18 23:06:33 EDT
Created attachment 320784 [details]
xorg.conf
Comment 6 Jóhann B. Guðmundsson 2008-12-01 06:12:34 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.
Comment 7 Matěj Cepl 2009-01-27 21:02:33 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 8 Brad Longo 2009-03-03 16:27:03 EST
Sorry I somehow missed info needed.  Give me another day to test this.  I'll reply ASAP once I test this.
Comment 9 Brad Longo 2009-03-03 18:09:17 EST
I have tested playing The Darknight with totem using both backends.  Using the gstreamer backend causes the computer to freeze, but I still got some info by running totem > totem_using_gstreamer.txt.  The file saved even though I had to shut down by holding down the power button.  Playing using xine works perfectly.  The dvd menu even shows up.  I have attached two files showing what totem spits out while playing the dvd.  Maybe a comparison between the two files will help out.

Here is what kernel and x11 driver I have:
kernel-2.6.27.12-170.2.5.fc10.i686
xorg-x11-drv-ati-6.10.0-2.fc10.i386
Comment 10 Brad Longo 2009-03-03 18:10:22 EST
Sorry I take it back the gstreamer text file was blank.
Comment 11 Brad Longo 2009-03-03 18:11:09 EST
Created attachment 333949 [details]
Totem output with xine backend.
Comment 12 Bug Zapper 2009-06-09 22:30:33 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-07-14 12:46:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.